Name: emacs-rpm-spec-mode
Version: 0.12
Release: 4%{?dist}
Summary: Major GNU Emacs mode for editing RPM spec files
Group: Applications/Editors
License: GPLv2+
# Alternative upstream?
# https://bitbucket.org/xemacs/prog-modes/raw/eacc4cb30d0c/rpm-spec-mode.el
URL: http://tihlde.org/~stigb/rpm-spec-mode.el
Source0: http://tihlde.org/~stigb/rpm-spec-mode.el
Source1: rpm-spec-mode-init.el
BuildArch: noarch
BuildRequires: emacs
# Temporary requirement to prevent conflict with older emacs packages
# that embed rpm-spec-mode.
Requires: emacs(bin) >= %{_emacs_evr}
#Requires: emacs(bin) >= %{_emacs_version}
# Sent to upstream
Patch0: rpm-spec-mode-xemacs.patch
# Sent to upstream
Patch1: rpm-spec-mode-compilation.patch
# Sent to upstream
Patch2: rpm-spec-mode-utc.patch
# Sent to upstream
Patch3: rpm-spec-mode-changelog.patch

%description
Major GNU Emacs mode for editing RPM spec files.

%prep
%setup -q -n rpm-spec-mode-%{version} -T -c
cp %SOURCE0 $RPM_BUILD_DIR/rpm-spec-mode-%{version}

%patch0 -p1 -b .xemacs
%patch1 -p1 -b .compilation
%patch2 -p1 -b .utc
%patch3 -p1 -b .changelog

%build
%_emacs_bytecompile rpm-spec-mode.el

%install
mkdir -p %{buildroot}/%{_emacs_sitelispdir}/rpm-spec-mode
install -m 644 rpm-spec-mode.el{,c} %{buildroot}/%{_emacs_sitelispdir}/rpm-spec-mode

# Install rpm-spec-mode-init.el
mkdir -p %{buildroot}%{_emacs_sitestartdir}
install -m 644 %SOURCE1 %{buildroot}%{_emacs_sitestartdir}

%files
%{_emacs_sitestartdir}/rpm-spec-mode-init.el
%{_emacs_sitelispdir}/rpm-spec-mode/rpm-spec-mode.el
%{_emacs_sitelispdir}/rpm-spec-mode/rpm-spec-mode.elc

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 19 2012 Karel Klíč <kklic@redhat.com> - 0.12-3
- Removed build dependency on emacs-el
- Require emacs without embedded rpm-spec-mode to avoid conflicts
  during updates

* Tue Sep 18 2012 Karel Klíč <kklic@redhat.com> - 0.12-2
- Moved rpm-spec-mode.el{,c} to a subdirectory

* Fri Sep 14 2012 Karel Klíč <kklic@redhat.com> - 0.12-1
- Initial package
